# Uses of Class
org.apache.lucene.facet.rangeonrange.LongRange

Packages that use LongRange
Package
Description
org.apache.lucene.facet.rangeonrange
Provides range on range faceting capabilities.

- ## Uses of LongRange in org.apache.lucene.facet.rangeonrange

  Constructors in org.apache.lucene.facet.rangeonrange with parameters of type LongRange
  Modifier
  Constructor
  Description
  ``
  `LongRangeOnRangeFacetCounts(String field, FacetsCollector hits, RangeFieldQuery.QueryType queryType, LongRange... ranges)`
  Constructor without the fast match query, see other constructor description for more details.
  ``
  `LongRangeOnRangeFacetCounts(String field, FacetsCollector hits, RangeFieldQuery.QueryType queryType, Query fastMatchQuery, LongRange... ranges)`
  Represents counts for long range on range faceting.